Summary:	Google's HTML5 parser library for C99
Name:		gumbo-parser
Version:	0.9.2
Release:	1
Epoch:		1
License:	Apache v2.0
Group:		Development/Libraries
Source0:	https://github.com/google/gumbo-parser/archive/v%{version}.tar.gz
# Source0-md5:	305211794501cb7d8ab8d7b16dbbdbf6
URL:		http://github.com/google/gumbo-parser
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gumbo is an implementation of the HTML5 parsing algorithm implemented
as a C99 library. It is fully conformant with the HTML5 specification,
robust and resilient to bad input, supports source locations and
pointers back to the original text.

%package devel
Summary:	Development files for Google's C99 HTML5 parser
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Gumbo is an implementation of the HTML5 parsing algorithm implemented
as a C99 library. It is fully conformant with the HTML5 specification,
robust and resilient to bad input, supports source locations and
pointers back to the original text.

This subpackage contains libraries and header files for developing
applications that want to make use of gumbo-parser.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgumbo.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgumbo.so.*.*.*
%ghost %{_libdir}/libgumbo.so.1

%files devel
%defattr(644,root,root,755)
%{_includedir}/gumbo.h
%attr(755,root,root) %{_libdir}/libgumbo.so
%{_pkgconfigdir}/gumbo.pc
%changelog
* Mon Sep 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gumbo-parser.git;a=log;h=master

* Mon Sep 22 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f3e01f5
- up to 0.9.2

* Tue Sep 09 2014 Elan Ruusamäe <glen@delfi.ee> 12e9bf2
- version appears to be 1.0 according to AC_INIT

* Tue Sep 09 2014 Elan Ruusamäe <glen@delfi.ee> 101092f
- unify

* Mon Sep 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b3fa85a
- up to 20140908 snap

* Wed Jul 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b17948
- initial

